Bug 60654

Summary: [Qt] Expected results for 6 new CSS3 transforms tests and the updated skipped list
Product: WebKit Reporter: chereddy <srchereddy>
Component: New BugsAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: ademar, commit-queue, eric, ossy, yael
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Other   
OS: Linux   
Attachments:
Description Flags
new tests expected results none

Description chereddy 2011-05-11 13:35:24 PDT
Currently there are 6 new tests without any expected result for Qt platform.
 
1. LayoutTests/fast/transforms/transform-positioned-ancestor.html
2. LayoutTests/transforms/2d/transform-borderbox.html
3. LayoutTests/transforms/2d/transform-origin-borderbox.html
4. LayoutTests/transforms/2d/zoom-menulist.html
5. LayoutTests/transforms/no_transform_hit_testing.html
6. LayoutTests/transforms/svg-vs-css.xhtml

I manually verified these tests on QtTestBrowser and they passed.

Hence I created the expected results (using run-webkit-tests -p)and submitting a patch. 
I manually compared the expected images(.png) of Linux with Mac platform images and they look same.

Tested Environment:
Linux desktop on Ubuntu 10.04
Qt 4.7.2
WebKit version: Rev.86083
Comment 1 chereddy 2011-05-11 13:55:50 PDT
Created attachment 93178 [details]
new tests expected results

This patch contains expected results for 6 new tests and the updated skipped file for Qt-Linux.
Comment 2 Eric Seidel (no email) 2011-05-11 19:15:43 PDT
Comment on attachment 93178 [details]
new tests expected results

OK.
Comment 3 WebKit Commit Bot 2011-05-11 22:58:50 PDT
The commit-queue encountered the following flaky tests while processing attachment 93178 [details]:

inspector/debugger/debugger-scripts.html bug 59921 (authors: pfeldman@chromium.org and podivilov@chromium.org)
The commit-queue is continuing to process your patch.
Comment 4 WebKit Commit Bot 2011-05-11 23:00:43 PDT
Comment on attachment 93178 [details]
new tests expected results

Clearing flags on attachment: 93178

Committed r86313: <http://trac.webkit.org/changeset/86313>
Comment 5 WebKit Commit Bot 2011-05-11 23:00:48 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 Csaba Osztrogon√°c 2011-05-12 09:30:48 PDT
Mac and ARM expected results landed in http://trac.webkit.org/changeset/86324
Comment 7 Ademar Reis 2011-05-13 10:53:42 PDT
We had some changes in our DRT on trunk and it's not "safe" to cherry-pick layout tests to qtwebkit-2.2 anymore (not without auditing the changes). 

I'm removing them from the meta-bug (they were not critical anyway, just a nice-to-have).